Page MenuHomePhabricator

Languages overlay should show most common languages first, and expand more
Closed, DeclinedPublic

Description

As a multi-lingual user I want to be able to change article languages quickly.

Languages overlay should show most common languages read by the user, and expand to show all languages available. This is done on desktop using compact language links. https://www.mediawiki.org/wiki/Universal_Language_Selector/Design/Interlanguage_links

Acceptance criteria

  • Interlanguage links are only shortened when the list is longer than 6 items. If that happens, only 3 items are shown initially.
  • The initial languages are decided based on the previous user selections (should be handled by T99814), browser language info, and geo-ip information
  • If there are more than 15 languages, organize the list by region. If less than 15, do not show region labels

Prototype
http://invis.io/4N2WGE17H

Design
First screen

More Languages

Task on iOS app https://phabricator.wikimedia.org/T97780
android https://phabricator.wikimedia.org/T97819

Event Timeline

KHammerstein raised the priority of this task from to Needs Triage.
KHammerstein updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 1 2015, 6:34 PM

Note in beta it currently gets ordered by most used languages by the user.. so if I'm using French and English on my mobile French and English are at the top of the list of languages. This code has been in beta for ages. It's frustrating this hasn't been pushed to stable as I think this is far more important (it works for anons too)

KHammerstein set Security to None.
KHammerstein updated the task description. (Show Details)
Florian added a subscriber: Florian.May 2 2015, 4:20 PM

It's frustrating this hasn't been pushed to stable as I think this is far more important (it works for anons too)

Is there any reason to not push it to stable? Iirc it works great? :)

KHammerstein updated the task description. (Show Details)
KHammerstein added a subscriber: santhosh.
kaldari updated the task description. (Show Details)May 20 2015, 6:47 PM

It's not clear what's been asked for that user's do not already have and why these new mocks are better. I don't follow the logic.

The existing languages feature has a search which I would say is more useful than a collapsible list or collating languages by region. They have their most used languages at the top based on previous selections.

I'm baffled.

Jhernandez triaged this task as Normal priority.Aug 18 2015, 5:41 PM
Jhernandez added a subscriber: Jhernandez.
Jdlrobson moved this task from Backlog to Discussing on the MobileFrontend board.Nov 4 2015, 5:24 PM
Jdlrobson changed the task status from Open to Stalled.Dec 7 2015, 4:55 PM

Not actionable at current time.

Jdlrobson added a subscriber: Nirzar.

@Nirzar can this be declined?

Nirzar closed this task as Declined.Nov 14 2016, 9:41 PM